## fapman 0.1-3

=== Makefile ===
#############################################################################
# Makefile for building: fapman
# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Jul 1 00:00:43 2010
# Project:  fapman.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile fapman.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/include/QtCore -I/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/include/QtGui -I/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/include/QtMaemo5 -I/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		aptinterface.cpp \
		package.cpp \
		packageview.cpp \
		filterselect.cpp \
		confirmdialog.cpp \
		dimmer.cpp moc_mainwindow.cpp \
		moc_aptinterface.cpp \
		moc_packageview.cpp \
		moc_filterselect.cpp \
		moc_confirmdialog.cpp \
		moc_dimmer.cpp \
		qrc_resources.cpp
OBJECTS       = main.o \
		mainwindow.o \
		aptinterface.o \
		package.o \
		packageview.o \
		filterselect.o \
		confirmdialog.o \
		dimmer.o \
		moc_mainwindow.o \
		moc_aptinterface.o \
		moc_packageview.o \
		moc_filterselect.o \
		moc_confirmdialog.o \
		moc_dimmer.o \
		qrc_resources.o
DIST          = /targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		fapman.pro
QMAKE_TARGET  = fapman
DESTDIR       = 
TARGET        = fapman

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h ui_packageview.h ui_filterselect.h ui_confirmdialog.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: fapman.pro  /targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile fapman.pro
/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/release.prf:
/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-3fee38dafeadac7c4aa18a6191507bc3590bb7d3/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile fapman.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/fapman1.0.0 || $(MKDIR) .tmp/fapman1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/fapman1.0.0/ && $(COPY_FILE) --parents mainwindow.h aptinterface.h package.h packageview.h filterselect.h confirmdialog.h dimmer.h .tmp/fapman1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/fapman1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp aptinterface.cpp package.cpp packageview.cpp filterselect.cpp confirmdialog.cpp dimmer.cpp .tmp/fapman1.0.0/ && $(COPY_FILE) --parents mainwindow.ui packageview.ui filterselect.ui confirmdialog.ui .tmp/fapman1.0.0/ && (cd `dirname .tmp/fapman1.0.0` && $(TAR) fapman1.0.0.tar fapman1.0.0 && $(COMPRESS) fapman1.0.0.tar) && $(MOVE) `dirname .tmp/fapman1.0.0`/fapman1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/fapman1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_aptinterface.cpp moc_packageview.cpp moc_filterselect.cpp moc_confirmdialog.cpp moc_dimmer.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_aptinterface.cpp moc_packageview.cpp moc_filterselect.cpp moc_confirmdialog.cpp moc_dimmer.cpp
moc_mainwindow.cpp: aptinterface.h \
		mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_aptinterface.cpp: aptinterface.h
	/usr/bin/moc $(DEFINES) $(INCPATH) aptinterface.h -o moc_aptinterface.cpp

moc_packageview.cpp: mainwindow.h \
		aptinterface.h \
		packageview.h
	/usr/bin/moc $(DEFINES) $(INCPATH) packageview.h -o moc_packageview.cpp

moc_filterselect.cpp: filterselect.h
	/usr/bin/moc $(DEFINES) $(INCPATH) filterselect.h -o moc_filterselect.cpp

moc_confirmdialog.cpp: confirmdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) confirmdialog.h -o moc_confirmdialog.cpp

moc_dimmer.cpp: dimmer.h
	/usr/bin/moc $(DEFINES) $(INCPATH) dimmer.h -o moc_dimmer.cpp

compiler_rcc_make_all: qrc_resources.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_resources.cpp
qrc_resources.cpp: resources.qrc \
		icons/commit.png \
		icons/install.png \
		icons/upgrade.png \
		icons/remove.png \
		icons/update.png
	/usr/bin/rcc -name resources resources.qrc -o qrc_resources.cpp

=== debian/changelog ===
fapman (0.1-3) unstable; urgency=low

  * Packaging fixes for autobuilder

 -- Heikki Holstila <heikki.holstila@gmail.com>  Wed, 30 Jun 2010 23:58:21 +0300

fapman (0.1-2) unstable; urgency=low

  * Packaging fixes for autobuilder

 -- Heikki Holstila <heikki.holstila@gmail.com>  Wed, 30 Jun 2010 23:53:16 +0300

fapman (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Heikki Holstila <heikki.holstila@gmail.com>  Wed, 30 Jun 2010 22:59:56 +0300

=== debian/control ===
Source: fapman
Section: user/system
Priority: extra
Maintainer: Heikki Holstila <heikki.holstila@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.3

Package: fapman
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, rootsh
XB-Maemo-Display-Name: Faster Application Manager
XSBC-Bugtracker: none
Description: An alternative application/package management UI
 A fast GUI front-end for apt-get.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAAAAAAAA+UO7fwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oGHhMtMFhkN48AAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJ
 TVBXgQ4XAAALp0lEQVRo3tVaS2wbxxn+ZnZmX9wlJVIyHUWObNmxq0BxXEsp
 BJ/sBCmCxEBg+BRASNBDbinaQ4HAh+SYBGhgBHCbHgoECeC0KAIUMQq0Pjiw
 jB7iPGXnUVtRTNuSYpukSUqkuMtd7s72EM6GkiWZtJMi/YEFpV3uzPyv7//m
 HwL/50LWuKe0PikAASBqff7kFVBmZ2d/4TjOI4yxvc1mc6Cnp6dX07SMaZoJ
 VVUFY+wCIeQvnuf9LZFIXPspKaBcvHjxcBiGx0qlUl+hUKCNRgMAYFkWUqkU
 MpkMbNtGKpWKVFUtRFH054WFhT+NjIwU2jwUta7/rQIfffTRLtu2z1y8eDE7
 PT2N2dlZOI4DIQRs20Y6nUZ/fz82b96MgYEB9PX1wTRNmKYZAfANw6iqqlpl
 jFU1TYsURYkAgBDiACgJIXIALtZqtZlarXbl9ddfzx87dixsU5auCtMIAKIo
 ygKwANgAagCWCSHXVyugfP75579ZXl7+/alTp+jU1BS+/vpreJ6HKIqgaRp0
 XYdt28hkMujv78fAwAAGBgZgGAZ6e3uhqip6enqQSCSg6zpUVQUAcM4RRRGi
 KAJjDJ7nhZRSF0BFCLEEwBNClJeWli6Xy+XPTp48ea5YLC4ePny4b3x8/NFs
 NnuIcz6kKEovgACATwg5rSjKHwkh/wIABgCmaf5yfn6e5nI55HI55PP5eGJK
 KQghUBQFmqbBMAykUimkUilYloVkMgnbtpFMJpHJZGBZFhhj0HUdYRjGSgRB
 AM65EgSBxTm3VFXd0m5JIUS0b98+MMaEbdtYWFig5XKZWJYFzjlUVWWcc2YY
 xpO6rg83Gg2i6/o/GQBQSre7rgvHcRCGISilCIIAURQhDENEUYRmswnf97G8
 vIzFxUWoqgpFUWCaJjRNg2masG0bjDFQSkEpRRiGYIxBURQEQRDfk+9FUQQh
 BBhjCIKAaJqGRCKhaJqGTCYTG8myLJimid7eXvT19aGvr2+HZVm/BHCSAQBj
 LBuGIQgh8UUpjb0gxHfhGYYhACAIAvi+DyEEqtXqCm9FUQRCvgc3SikYYyCE
 QNO0eGxVVeOx25XlnINzDsuyYBhGbBzTNJHJZDAyMoIHH3yQDw0NTQBQGICI
 McYppWglDsIwjC0fRWuDSrsyUrLZLDZt2oTBwUEAgOM4yOVyKJVKWF5eRr1e
 Ryu5YRhGPEe7h+Q6DMP4Dh4VBbqugxACy7JQLpdhmiaSyWQKgMEAECGELmNc
 VVVwztFsNjuGshdffBGTk5PYvn17nDNCCBBCEEURfN9HtVpFoVBAvV7HjRs3
 MD8/j9OnT+OLL77A3NzcLcYjhMTGkaFdLpeh6zp27tyJ7du3cwCEtV5sep7H
 5Yu+73e8+DfffBOTk5PgnK+4Ly1JCIGu69B1HZs2bVqx0McffxzvvPMO3nrr
 LVy5cmXF+57nxV4QQsRhHAQBgiCA67oBAEoBKPV6PXQcB77vw3XdFWGxkezf
 vx+HDh26ZfG3LT6EgDGGHTt24KmnnsKePXvWDFHXdeP8kTnWQiRQSpsAmhSA
 trS0FNy8eROLi4vI5/MdL2RsbAzJZPKuKunWrVsxNDS0bp7JJCeEgHOORCKB
 ZDKJdDodSgWMa9euLS4sLKBYLHZsfQCYmJiIQ+XHEskIWhCLdDqNTCYDVVWr
 AEIKIDEzM1O6fv06FhcXuxo8k8nc9QKvXLmCq1evrvs8DEP4vi8LoawLkWVZ
 RQCCArCnp6dnSqUSHMfpanLbttd9JoSIoXY1HMvK/M033+DEiRM4d+7cuuNI
 mOWcx5TGtm0EQTAtqQQPw3Dz4uJijNM/hExPT+OJJ57AyMgI9u7di7GxMfT3
 9yORSKBUKmFubg7vv/8+zp07dwsCrU54IUSsRDKZBGMsXFpamgYQMQDaPffc
 s+Xy5ctdo8lGEkURisUiCoUCzpw5c8fjSFrTbDbjKq7reu3y5ctfSQ8Epmn2
 /xgJuF4V7wZupVElpUin02g0GheefvrpAgBQwzBgmqbJOYeiKF1NsFG17qaS
 ryeqqsY1gDEW0/VyufwPAE0AET1w4ECac05lgejWvXfyrFsvUEpjGt/b2xtO
 T0//W2566OTk5JOytHdTAyTS3Mmz9sV1YiTDMGDbNvr7+2HbtvPKK6/Myh0c
 TaVSO4IgWAF7nYqu63f0rJscaTab8c4wmUyCc54H0JAeYJzzrOTx3ebARt8f
 Hh7Gxx9/HP9fq9VQKpVw9uxZfPrpp5iamrrt+JJcyrUZhgFK6dXW9hIAwAgh
 NUlhu2GhtytkyWQS4+Pjt9x/7LHHcOHCBRw5cuS2SkgOJLeoqVQKpVLp07Z+
 FWgYhnnDMKCqasz8OpWenp6u4zuVSmFiYgLPPvtsRzkm87K1PjE3N3cWQBzr
 tFwuf2UYBgzD6FoB0zTvGF3279/fUY6077dt224cOXLkfHsLhnLOb2qaFnUL
 odIqP7bInaJlWYiiaBGA0948o41Go2zbNizLgq7rPyid2Eg6SWIZRpRSaJoG
 zvnN9gQGAJrP57/mnMMwDCiKEheOu6EKGzUDlpaWcPbsWbz99tu3rRGSwEkI
 BVBc3bpkH374YXnnzp1NTdPU9p5OJ4VoIxw/ffr0it3ancBovEjGoKoqqtXq
 fwD47Uqwd999tz45OVlXVVWVPZn27L+TOkAIwXPPPYdcLndXLFRGg1Tg2rVr
 X7YjEADQY8eODQohPFkLZFXuRGQHey3PbN269a7zREaDqqqwLCv44IMPLrXX
 AACg4+PjuxljaSFEHBKdKrBRCA0MDNw1Ffd9P6Y3nufVTp06dX31YQtNJBIP
 AOCypdhNLdgozDRNu2sFZEgzxlCpVGYlMK1QwDRNxjknkpG2a307cV133cmr
 1eoPRqUppTBNU22Fzgrr0jAMS5qmwbZtaJoWQ2knMjMzs2a4VSoVfPvtt3ft
 gXaD2rY9+Nprr+1aDaNUCPGJYRhROp2WG+aOJ3nvvffWtPTU1NSGG/VOrS+r
 cIvIpXbt2jW+2gOsUql82dPTUxgcHMxms1nkcjksLy/HNHYjOX78OJLJJA4c
 OICxsTHMzc3hs88+w9GjR7vq8G0E0ZRS+TfLZrOjq3OA7du37/rs7Oxfh4aG
 fjs8PIxLly6hWq2i0Wis6PmvpUyhUMAbb7yB48ePw7IsuK6LWq2GfD7f9eZo
 LQVkIzcIAiiKQhKJxKZbihwAcf/9978wMzPz6127dinz8/MoFovwfX/Fwtfz
 SKFQQKFQ+EF5kmQE7Y1gRVEQhiFpHQh+T6clIqqq+rvR0VGMjo7ivvvuQyKR
 iN2nKAoYY5JQQVGUuFLKq9O43uj77YttNpsr2uot41VuCSGJrdu2bfvD+fPn
 t+3Zs+e5YrFoKIqChYWF2OryTEweL0mEkJPI0xbZUZZKSyPIkKKUwvf9GCw8
 z4OqqjF9IYTEi1cUBaqqyvNpOI7zyVohFNelhx566IWXX375fUVRDjz66KOT
 hUKhVwihyEM5zjnCMITnefB9H/V6XR42oFarwfM8OI6DZrMZ9/GlRT3Pi+PZ
 9/04t1rxDSEEPM9Do9FAvV6HEAKJRAJbtmzB8PAwMplM0Gw2P14No6t9SQEY
 ADKtKwVAef7553cfOnToV8lkchshxBRCkHq9jiiKiOM48DwP9XodlUoFzWYz
 tjbnPA6X5eVlNBqN+LvSs9Ib8v7S0hIqlQoIIfGh3sMPP4zR0dHp3bt3T7TY
 6LoKSCVYSxGK73784bc2EuHBgweVV199tS+RSAxblvUzSuloFEU/F0IMu67b
 67quKpOfc04opXBdN2ot0HMcp+a6bs3zvLClZI+iKD1CCC4VqNVq8Z773nvv
 DQYHB8/t3bv3EQD11TmwUfa172qiVZ+35B8AXLp0KRmGYd/mzZsPcM4fUBRl
 Z+uMuVqv18/fuHHj8xMnTuReeumlm63xKQBx9OjRoYMHDx5hjE24rpv1fd9z
 XbdUq9X+ns/nTz7zzDNnAHhY41cz/wVA2fLY3VGjOwAAAABJRU5ErkJggg==
 ====

## fapman 0.1-4

=== Makefile ===
#############################################################################
# Makefile for building: fapman
# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Jul 1 00:20:41 2010
# Project:  fapman.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile fapman.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/include/QtCore -I/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/include/QtGui -I/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/include/QtMaemo5 -I/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		aptinterface.cpp \
		package.cpp \
		packageview.cpp \
		filterselect.cpp \
		confirmdialog.cpp \
		dimmer.cpp moc_mainwindow.cpp \
		moc_aptinterface.cpp \
		moc_packageview.cpp \
		moc_filterselect.cpp \
		moc_confirmdialog.cpp \
		moc_dimmer.cpp \
		qrc_resources.cpp
OBJECTS       = main.o \
		mainwindow.o \
		aptinterface.o \
		package.o \
		packageview.o \
		filterselect.o \
		confirmdialog.o \
		dimmer.o \
		moc_mainwindow.o \
		moc_aptinterface.o \
		moc_packageview.o \
		moc_filterselect.o \
		moc_confirmdialog.o \
		moc_dimmer.o \
		qrc_resources.o
DIST          = /targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		fapman.pro
QMAKE_TARGET  = fapman
DESTDIR       = 
TARGET        = fapman

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h ui_packageview.h ui_filterselect.h ui_confirmdialog.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: fapman.pro  /targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile fapman.pro
/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/release.prf:
/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-5d5b65129f0db6d8ce9d85fe69441ea4f7d3a82c/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile fapman.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/fapman1.0.0 || $(MKDIR) .tmp/fapman1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/fapman1.0.0/ && $(COPY_FILE) --parents mainwindow.h aptinterface.h package.h packageview.h filterselect.h confirmdialog.h dimmer.h .tmp/fapman1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/fapman1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp aptinterface.cpp package.cpp packageview.cpp filterselect.cpp confirmdialog.cpp dimmer.cpp .tmp/fapman1.0.0/ && $(COPY_FILE) --parents mainwindow.ui packageview.ui filterselect.ui confirmdialog.ui .tmp/fapman1.0.0/ && (cd `dirname .tmp/fapman1.0.0` && $(TAR) fapman1.0.0.tar fapman1.0.0 && $(COMPRESS) fapman1.0.0.tar) && $(MOVE) `dirname .tmp/fapman1.0.0`/fapman1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/fapman1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_aptinterface.cpp moc_packageview.cpp moc_filterselect.cpp moc_confirmdialog.cpp moc_dimmer.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_aptinterface.cpp moc_packageview.cpp moc_filterselect.cpp moc_confirmdialog.cpp moc_dimmer.cpp
moc_mainwindow.cpp: aptinterface.h \
		mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_aptinterface.cpp: aptinterface.h
	/usr/bin/moc $(DEFINES) $(INCPATH) aptinterface.h -o moc_aptinterface.cpp

moc_packageview.cpp: mainwindow.h \
		aptinterface.h \
		packageview.h
	/usr/bin/moc $(DEFINES) $(INCPATH) packageview.h -o moc_packageview.cpp

moc_filterselect.cpp: filterselect.h
	/usr/bin/moc $(DEFINES) $(INCPATH) filterselect.h -o moc_filterselect.cpp

moc_confirmdialog.cpp: confirmdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) confirmdialog.h -o moc_confirmdialog.cpp

moc_dimmer.cpp: dimmer.h
	/usr/bin/moc $(DEFINES) $(INCPATH) dimmer.h -o moc_dimmer.cpp

compiler_rcc_make_all: qrc_resources.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_resources.cpp
qrc_resources.cpp: resources.qrc \
		icons/commit.png \
		icons/install.png \
		icons/upgrade.png \
		icons/remove.png \
		icons/update.png
	/usr/bin/rcc -name resources resources.qrc -o qrc_resources.cpp

=== debian/changelog ===
fapman (0.1-4) unstable; urgency=low

  * Run as root from the .desktop file

 -- Heikki Holstila <heikki.holstila@gmail.com>  Thu,  1 Jul 2010 00:05:10 +0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 XB-Maemo-Display-Name: Faster Application Manager
 XSBC-Bugtracker: none
 Description: An alternative application/package management UI
- A fast GUI front-end for apt-get.
+ A fast GUI front-end for apt-get
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAAAAAAAA+UO7fwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	/usr/bin/qmake
	$(MAKE)
	#docbook-to-man debian/fapman.sgml > fapman.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	/usr/bin/qmake
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/fapman.
	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/fapman install
	install -D fapman $(CURDIR)/debian/fapman/usr/bin/fapman
	install -D icons/fapman.png $(CURDIR)/debian/fapman/usr/share/icons/hicolor/48x48/apps/fapman.png
	install -D misc/fapman.desktop $(CURDIR)/debian/fapman/usr/share/applications/hildon/fapman.desktop


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## fapman 0.1-5

=== Makefile ===
#############################################################################
# Makefile for building: fapman
# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Jul 1 02:28:44 2010
# Project:  fapman.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile fapman.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/include/QtCore -I/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/include/QtGui -I/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/include/QtMaemo5 -I/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		aptinterface.cpp \
		package.cpp \
		packageview.cpp \
		filterselect.cpp \
		confirmdialog.cpp \
		dimmer.cpp moc_mainwindow.cpp \
		moc_aptinterface.cpp \
		moc_packageview.cpp \
		moc_filterselect.cpp \
		moc_confirmdialog.cpp \
		moc_dimmer.cpp \
		qrc_resources.cpp
OBJECTS       = main.o \
		mainwindow.o \
		aptinterface.o \
		package.o \
		packageview.o \
		filterselect.o \
		confirmdialog.o \
		dimmer.o \
		moc_mainwindow.o \
		moc_aptinterface.o \
		moc_packageview.o \
		moc_filterselect.o \
		moc_confirmdialog.o \
		moc_dimmer.o \
		qrc_resources.o
DIST          = /targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		fapman.pro
QMAKE_TARGET  = fapman
DESTDIR       = 
TARGET        = fapman

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h ui_packageview.h ui_filterselect.h ui_confirmdialog.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: fapman.pro  /targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile fapman.pro
/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/release.prf:
/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-7bb49eb20ae9c662bce8961e23a1f1aa39050d9c/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile fapman.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/fapman1.0.0 || $(MKDIR) .tmp/fapman1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/fapman1.0.0/ && $(COPY_FILE) --parents mainwindow.h aptinterface.h package.h packageview.h filterselect.h confirmdialog.h dimmer.h .tmp/fapman1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/fapman1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp aptinterface.cpp package.cpp packageview.cpp filterselect.cpp confirmdialog.cpp dimmer.cpp .tmp/fapman1.0.0/ && $(COPY_FILE) --parents mainwindow.ui packageview.ui filterselect.ui confirmdialog.ui .tmp/fapman1.0.0/ && (cd `dirname .tmp/fapman1.0.0` && $(TAR) fapman1.0.0.tar fapman1.0.0 && $(COMPRESS) fapman1.0.0.tar) && $(MOVE) `dirname .tmp/fapman1.0.0`/fapman1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/fapman1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_aptinterface.cpp moc_packageview.cpp moc_filterselect.cpp moc_confirmdialog.cpp moc_dimmer.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_aptinterface.cpp moc_packageview.cpp moc_filterselect.cpp moc_confirmdialog.cpp moc_dimmer.cpp
moc_mainwindow.cpp: aptinterface.h \
		mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_aptinterface.cpp: aptinterface.h
	/usr/bin/moc $(DEFINES) $(INCPATH) aptinterface.h -o moc_aptinterface.cpp

moc_packageview.cpp: mainwindow.h \
		aptinterface.h \
		packageview.h
	/usr/bin/moc $(DEFINES) $(INCPATH) packageview.h -o moc_packageview.cpp

moc_filterselect.cpp: filterselect.h
	/usr/bin/moc $(DEFINES) $(INCPATH) filterselect.h -o moc_filterselect.cpp

moc_confirmdialog.cpp: confirmdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) confirmdialog.h -o moc_confirmdialog.cpp

moc_dimmer.cpp: dimmer.h
	/usr/bin/moc $(DEFINES) $(INCPATH) dimmer.h -o moc_dimmer.cpp

compiler_rcc_make_all: qrc_resources.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_resources.cpp
qrc_resources.cpp: resources.qrc \
		icons/commit.png \
		icons/install.png \
		icons/upgrade.png \
		icons/remove.png \
		icons/update.png
	/usr/bin/rcc -name resources resources.qrc -o qrc_resources.cpp

=== debian/changelog ===
fapman (0.1-5) unstable; urgency=low

  * Use sudo instead of rootsh

 -- Heikki Holstila <heikki.holstila@gmail.com>  Thu,  1 Jul 2010 02:23:16 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: fapman
 Architecture: armel
-Depends: ${shlibs:Depends}, ${misc:Depends}, rootsh
+Depends: ${shlibs:Depends}, ${misc:Depends}
 XB-Maemo-Display-Name: Faster Application Manager
 XSBC-Bugtracker: none
 Description: An alternative application/package management UI
